oracle.pgx.config

## Class ClientConfig

- java.lang.Object
- - oracle.pgx.config.AbstractConfig
  - - oracle.pgx.config.AbstractClientConfig
    - - oracle.pgx.config.ClientConfig

-     @Generated(value="config_generator.py")
      public class ClientConfig
      extends AbstractClientConfig

  PGX Engine Client Config

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClientConfig.Field` Fields of PGX Engine Client Config

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBaseUrl()` The base url in the format `host [ : port][ /path]` of the PGX server REST end-point.
    `Charset` | `getCharset()` Gets the charset.
    `Integer` | `getPrefetchSize()` How many items should be prefetched in remote iterators.
    `Integer` | `getRemoteFutureTimeout()` How long one `GET` request for a `PgxRemoteFuture` will be alive, until it times out and tries again.
    `Integer` | `getUploadBatchSize()` How many items will be uploaded in a batch.
    `Map<ClientConfig.Field,Object>` | `getValues()` Gets the parsed values.
    `Map<ClientConfig.Field,Object>` | `getValuesWithoutDefaults()` Gets the values without defaults.
    `boolean` | `hasDefaultValue(ClientConfig.Field field)` Checks for default value.
    `static ClientConfig` | `parse(InputStream is, boolean strict, File parent)` Parses an input stream.
    `static ClientConfig` | `parse(Map<String,Object> raw, boolean strict, File parent)` Parses a raw key/value mapping.
    `static ClientConfig` | `parse(Properties props, boolean strict)` Parses a properties file.
    `String` | `toString()`

    - ### Methods inherited from class oracle.pgx.config.AbstractClientConfig

      `getInstance`

    - ### Methods inherited from class oracle.pgx.config.AbstractConfig

      `setSerializable`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getBaseUrl

          public String getBaseUrl()

      The base url in the format `host [ : port][ /path]` of the PGX server REST end-point. If the base_url is `null`, the default will be used which points to embedded PGX instance. You can use the form `[ user [ : password ] @ ] host [ : port][ /path]` to specify a basic auth username and password.

    - #### getCharset

          public Charset getCharset()

      Gets the charset.
      Returns:
        the charset

    - #### getPrefetchSize

          public Integer getPrefetchSize()

      How many items should be prefetched in remote iterators.

    - #### getRemoteFutureTimeout

          public Integer getRemoteFutureTimeout()

      How long one `GET` request for a `PgxRemoteFuture` will be alive, until it times out and tries again. Time in milliseconds, set it to zero for an infinite timeout. See HTTP Client `SO_TIMEOUT` for more details.

    - #### getUploadBatchSize

          public Integer getUploadBatchSize()

      How many items will be uploaded in a batch. This is used in `Core#addAllToCollection()` and `Core#setProperty()`

    - #### getValues

          public Map<ClientConfig.Field,Object> getValues()

      Gets the parsed values.
      Returns:
        the parsed values

    - #### getValuesWithoutDefaults

          public Map<ClientConfig.Field,Object> getValuesWithoutDefaults()

      Gets the values without defaults.
      Returns:
        the values without defaults

    - #### hasDefaultValue

          public boolean hasDefaultValue(ClientConfig.Field field)

      Checks for default value.
      Parameters:
        `field` - the field
      Returns:
        true, if value for given field is the default value

    - #### parse

          public static ClientConfig parse(InputStream is,
                           boolean strict,
                           File parent)
                                    throws IOException

      Parses an input stream.
      Parameters:
        `is` - the input stream
        `strict` - if true, parses in strict mode
        `parent` - if not null, resolves relative paths against this parent
      Returns:
        the parsed graph config
      Throws:
        `IOException` - Signals that an I/O exception has occurred.

    - #### parse

          public static ClientConfig parse(Map<String,Object> raw,
                           boolean strict,
                           File parent)

      Parses a raw key/value mapping.
      Parameters:
        `raw` - the raw key/value mapping to parse
        `strict` - if true, parses in strict mode
        `parent` - if not null, resolves relative paths against this parent
      Returns:
        the parsed graph config

    - #### parse

          public static ClientConfig parse(Properties props,
                           boolean strict)

      Parses a properties file.
      Parameters:
        `props` - the properties to parse
        `strict` - if true, parses in strict mode
      Returns:
        the parsed graph config

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015. All rights reserved.